Skip to main content

Documentation Index

Fetch the complete documentation index at: https://glide-9da73dea.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Paginated list of this agent’s transactions. Scoped to the agent; sibling agents’ history never appears. Use cursor for page-through.

Metadata

FieldValue
Nametransactions.list
Categoryread
Required scopeaccounts:read
Idempotency key requiredno

Annotations

AnnotationValue
TitleList Transactions
Read-onlyyes
Destructiveno
Idempotentyes
Open-worldno
Requires human approvalno

Input schema

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "cursor": {
      "type": "string"
    },
    "limit": {
      "default": 50,
      "type": "integer",
      "minimum": 1,
      "maximum": 100
    },
    "since_iso": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
    },
    "until_iso": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
    },
    "status_filter": {
      "type": "string",
      "enum": [
        "pending",
        "broadcasted",
        "settled",
        "failed",
        "cancelled"
      ]
    }
  },
  "required": [
    "limit"
  ],
  "additionalProperties": false
}

Output schema

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "transactions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "tool_call_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "action": {
            "type": "string"
          },
          "amount_cents": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          },
          "currency": {
            "type": "string"
          },
          "counterparty_address": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "counterparty_chain": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "eth",
                  "base",
                  "arb",
                  "op",
                  "polygon",
                  "sol"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "on_chain_tx": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "pending",
              "broadcasted",
              "settled",
              "failed",
              "cancelled"
            ]
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
          },
          "broadcasted_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "required": [
          "id",
          "tool_call_id",
          "action",
          "amount_cents",
          "currency",
          "counterparty_address",
          "counterparty_chain",
          "on_chain_tx",
          "status",
          "created_at",
          "broadcasted_at"
        ],
        "additionalProperties": false
      }
    },
    "next_cursor": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "fetched_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
    }
  },
  "required": [
    "transactions",
    "next_cursor",
    "fetched_at"
  ],
  "additionalProperties": false
}

Request examples

curl -X POST https://mcp.glide.co/mcp/read \
  -H "Authorization: Bearer $GLIDE_GRANT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "transactions.list",
    "params": {
      "limit": 25,
      "since_iso": "2026-05-01T00:00:00Z",
      "status_filter": "settled"
    }
  }'

Response examples

Successful response:
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "transactions": [
      {
        "id": "e5f6a7b8-c9d0-1234-ef01-345678901234",
        "tool_call_id": "f6a7b8c9-d0e1-2345-f012-456789012345",
        "action": "payments.initiate",
        "amount_cents": 150000,
        "currency": "USDC",
        "counterparty_address": "0x742d35Cc6634C0532925a3b8D4C9B7F3c2e1a4b",
        "counterparty_chain": "base",
        "on_chain_tx": "0xabc123def456789012345678901234567890123456789012345678901234567890",
        "status": "settled",
        "created_at": "2026-05-02T10:15:00Z",
        "broadcasted_at": "2026-05-02T10:15:12Z"
      },
      {
        "id": "a7b8c9d0-e1f2-3456-0123-567890123456",
        "tool_call_id": "b8c9d0e1-f2a3-4567-1234-678901234567",
        "action": "payments.initiate",
        "amount_cents": 75000,
        "currency": "USDC",
        "counterparty_address": "HN7cABqLq46Es1jh92dQQisAq662SmxELLLsHHe4YWrH",
        "counterparty_chain": "sol",
        "on_chain_tx": "5KtXq2hVnP8wCpZr3mYfLqDsE9oAjRkWbN1vGhMuTyXcUi",
        "status": "settled",
        "created_at": "2026-05-03T14:22:00Z",
        "broadcasted_at": "2026-05-03T14:22:04Z"
      }
    ],
    "next_cursor": "eyJpZCI6ImE3YjhjOWQwIn0",
    "fetched_at": "2026-05-04T12:00:00Z"
  }
}
Error — limit out of range:
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32602,
    "message": "limit must be between 1 and 100",
    "data": {
      "reason_id": "limit_out_of_range"
    }
  }
}
Error — missing or expired grant token:
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32001,
    "message": "grant token missing or expired",
    "data": {
      "reason_id": "token_expired"
    }
  }
}

Errors

CodeNameCauseRemediation
-32600Invalid requestMalformed JSON-RPC envelopeCheck method, jsonrpc, and id fields
-32602Invalid paramslimit out of 1–100 range, invalid status_filter enum, or malformed since_iso/until_iso datetimeValidate against schema before call
-32000UnauthenticatedMissing Authorization headerSupply a valid Bearer token
-32001UnauthorizedGrant token expired or revokedRefresh token via agent.grant.refresh
-32002Insufficient scopeGrant missing accounts:read scopeIssue new grant with accounts:read scope
-32603Internal errorServer-side errorRetry with backoff; contact support

Auth

Caller’s grant must include the accounts:read scope. Grants whose scope set is a superset of the required scope are accepted.